<?php
defined('BASEPATH') OR exit('No direct script access allowed');
date_default_timezone_set("Asia/Jakarta");

class Kriteria extends MY_Controller{
  
  function __construct()
  {
    parent::__construct();
    $this->load->model('login_m'); 
    $this->load->model('Kriteria_m');       
  }

  public function index()
  { 
    // Memeriksa apakah pengguna telah login sebelum melanjutkan eksekusi fungsi
    // memanggil MY_controller di folder core
    $this->check_login();
    
    $email = $this->session->userdata('email');
    $data['profil'] = $this->login_m->get_row(['email' =>$email ]); 
    
    $data['list_kriteria'] = $this->Kriteria_m->get_all_data();   
    $data['title']  = 'Kelola Data Kriteria';
    $data['menu'] =3;
    
    $this->load->view('admin/template/header',$data);
    $this->load->view('admin/template/sidebar',$data);
    $this->load->view('admin/template/navbar');
    $this->load->view('admin/kriteria/v_kriteria',$data);
    $this->load->view('admin/template/footer');
  }

// fungsi untuk proses tambah , edit dan hapus
  public function proseskriteria(){
    if ($this->POST('tambah')) {
      $data = [ 
        'kode_kriteria' => $this->input->post('kode_kriteria'), // Mengambil nilai 'kode_kriteria' dari input POST
        'nama_kriteria' => $this->input->post('nama_kriteria'), // Mengambil nilai 'nama_kriteria' dari input POST
        'bobot_vektor' => $this->input->post('bobot_vektor'), // Mengambil nilai 'bobot_vektor' dari input POST
        'tipe' => $this->input->post('tipe'), // Mengambil nilai 'tipe' dari input POST
        
      ];
      $this->Kriteria_m->insert($data);
      $this->flashmsg('Data Kriteria berhasil ditambah!', 'success');
      redirect('kriteria');
      exit();
    }

    if ($this->POST('edit')) {
      $id = $this->POST('id_kriteria');
      $data = [ 
        'kode_kriteria' => $this->input->post('kode_kriteria'), // Mengambil nilai 'kode_kriteria' dari input POST
        'nama_kriteria' => $this->input->post('nama_kriteria'), // Mengambil nilai 'nama_kriteria' dari input POST
        'bobot_vektor' => $this->input->post('bobot_vektor'), // Mengambil nilai 'bobot_vektor' dari input POST
        'tipe' => $this->input->post('tipe'), // Mengambil nilai 'tipe' dari input POST
      ];

      $this->Kriteria_m->update($id,$data);    
      $this->flashmsg('Data Kriteria berhasil disimpan!', 'success');
      redirect('kriteria');
      exit();
    }

    if ($this->POST('hapus')) {
      $this->Kriteria_m->delete($this->POST('id_kriteria'));
      $this->flashmsg('Data Kriteria berhasil dihapus!', 'success');
      redirect('kriteria');
      exit();
    } 
        
  } 
  
} 
?>